import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '提现者姓名',
    align:"center",
    dataIndex: 'realName'
   },
   {
    title: '提现金额',
    align:"center",
    dataIndex: 'amount'
   },
   {
    title: '到账时间',
    align:"center",
    dataIndex: 'paymentTime'
   },
   {
    title: '提现状态',
    align:"center",
    dataIndex: 'status'
   },
   {
    title: '商户单号',
    align:"center",
    dataIndex: 'outBillNo'
   },
   {
    title: '微信转账单号',
    align:"center",
    dataIndex: 'transferBillNo'
   },
   {
    title: '领取转账信息参数',
    align:"center",
    dataIndex: 'packageInfo'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '提现者姓名',
    field: 'realName',
    component: 'Input',
  },
  {
    label: '提现金额',
    field: 'amount',
    component: 'InputNumber',
  },
  {
    label: '到账时间',
    field: 'paymentTime',
    component: 'Input',
  },
  {
    label: '提现状态',
    field: 'status',
    component: 'Input',
  },
  {
    label: '商户单号',
    field: 'outBillNo',
    component: 'Input',
  },
  {
    label: '微信转账单号',
    field: 'transferBillNo',
    component: 'Input',
  },
  {
    label: '领取转账信息参数',
    field: 'packageInfo',
    component: 'Input',
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'Input',
  },
];
